com.ihr.xbrl.formula

## Class XPathXQueryFunctionBridge

- java.lang.Object
- - com.ihr.xbrl.formula.XPathXQueryFunctionBridge

- All Implemented Interfaces:
    javax.xml.xpath.XPathFunction

      public class XPathXQueryFunctionBridge
      extends java.lang.Object
      implements javax.xml.xpath.XPathFunction

  The Class XPathXQueryFunctionBridge.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPathXQueryFunctionBridge(net.sf.saxon.expr.instruct.UserFunction f, net.sf.saxon.om.NodeInfo contextNode)` Instantiates a new x path x query function bridge.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static net.sf.saxon.value.Value<?>` | `convertJavaObjectToXPath(java.lang.Object object, net.sf.saxon.value.SequenceType requiredType, net.sf.saxon.expr.XPathContext context)` Convert java object to x path.
    `static net.sf.saxon.value.Value<?>` | `convertToBestFit(java.lang.Object object, net.sf.saxon.Configuration config)` Convert to best fit.
    `java.lang.Object` | `evaluate(java.util.List args)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathXQueryFunctionBridge

          public XPathXQueryFunctionBridge(net.sf.saxon.expr.instruct.UserFunction f,
                                   net.sf.saxon.om.NodeInfo contextNode)

      Instantiates a new x path x query function bridge.
      Parameters:
        `f` - the f
        `contextNode` - the context node

  - ### Method Detail

    - #### evaluate

          public java.lang.Object evaluate(java.util.List args)
                                    throws javax.xml.xpath.XPathFunctionException

      Specified by:
        `evaluate` in interface `javax.xml.xpath.XPathFunction`
      Throws:
        `javax.xml.xpath.XPathFunctionException`

    - #### convertJavaObjectToXPath

          public static net.sf.saxon.value.Value<?> convertJavaObjectToXPath(java.lang.Object object,
                                                             net.sf.saxon.value.SequenceType requiredType,
                                                             net.sf.saxon.expr.XPathContext context)
                                                                      throws net.sf.saxon.trans.XPathException

      Convert java object to x path.
      Parameters:
        `object` - the object
        `requiredType` - the required type
        `context` - the context
      Returns:
        the value
      Throws:
        `net.sf.saxon.trans.XPathException` - the x path exception

    - #### convertToBestFit

          public static net.sf.saxon.value.Value<?> convertToBestFit(java.lang.Object object,
                                                     net.sf.saxon.Configuration config)
                                                              throws net.sf.saxon.trans.XPathException

      Convert to best fit.
      Parameters:
        `object` - the object
        `config` - the config
      Returns:
        the value
      Throws:
        `net.sf.saxon.trans.XPathException` - the x path exception